<?php

namespace KupShop\FeedGeneratorBundle\Configuration\Nodes;

use KupShop\FeedGeneratorBundle\Configuration\IConfigurationVisitor;

class CycleNode extends AbstractNode implements INode
{
    /** @var string */
    private $indexAccessName;

    /** @var string */
    private $valueAccessName;

    public function getIndexAccessName(): string
    {
        return $this->indexAccessName;
    }

    public function setIndexAccessName(string $indexAccessName)
    {
        $this->indexAccessName = $indexAccessName;
    }

    public function getValueAccessName(): string
    {
        return $this->valueAccessName;
    }

    public function setValueAccessName(string $valueAccessName)
    {
        $this->valueAccessName = $valueAccessName;
    }

    public function accept(IConfigurationVisitor $visitor, &$handle = null)
    {
        return $visitor->visitCycle($this, $handle);
    }
}
